// generated by Fast Light User Interface Designer (fluid) version 1.0308

#ifndef appUI_hpp
#define appUI_hpp
#include <FL/Fl.H>
#include "Fl_ViewerCV.h"
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Menu_Bar.H>
#include <FL/Fl_Group.H>
#include <FL/Fl_Value_Slider.H>
#include <FL/Fl_Choice.H>
#include <FL/Fl_Repeat_Button.H>
#include <FL/Fl_Button.H>

class AppUI {
public:
  AppUI();
  Fl_Double_Window *main_window;
  static Fl_Menu_Item menu_[];
  static Fl_Menu_Item *load_video_button;
  Fl_Group *viewers;
  Fl_ViewerCV *audio_viewer;
  Fl_ViewerCV *video_viewer;
  Fl_Group *controls;
  Fl_Value_Slider *frame_slider;
  Fl_Choice *audio_choice;
  Fl_Repeat_Button *backward_button;
  Fl_Button *play_button;
  Fl_Repeat_Button *forward_button;
  Fl_Button *speed_button;
  Fl_Choice *video_choice;
};
#endif
